com.sun.messaging

## Class DestinationConfiguration

- java.lang.Object
- - com.sun.messaging.DestinationConfiguration

    public class DestinationConfiguration
    extends Object

The `DestinationConfiguration` class contains Sun MQ specific destination identity configuration property names and values.

See Also:
  `com.sun.messaging.Destination`

### Field Summary

Fields
`static String` `IMQ_INITIAL_DESTINATION_DESCRIPTION` The default description initially given to a `Destination` object upon instantiation.
`static String` `IMQ_INITIAL_DESTINATION_NAME` The default name initially given to a `Destination` object upon instantiation.
`static String` `imqDestinationDescription` The property name that holds a description given to the `Destination` object.
`static String` `imqDestinationName` The property name that holds the name assigned to the `Destination` object.
`static String` `JMQDestinationDescription` Deprecated.
`static String` `JMQDestinationName` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### imqDestinationName

    public static final String imqDestinationName

The property name that holds the name assigned to the `Destination` object.

See Also:
  Constant Field Values

#### JMQDestinationName

    public static final String JMQDestinationName

Deprecated.

See Also:
  `imqDestinationName`, Constant Field Values

#### imqDestinationDescription

    public static final String imqDestinationDescription

The property name that holds a description given to the `Destination` object.

See Also:
  Constant Field Values

#### JMQDestinationDescription

    public static final String JMQDestinationDescription

Deprecated.

See Also:
  `imqDestinationDescription`, Constant Field Values

#### IMQ_INITIAL_DESTINATION_NAME

    public static final String IMQ_INITIAL_DESTINATION_NAME

The default name initially given to a `Destination` object upon instantiation. Typically, either the administrator or programmer will assign a name for this `Destination` object.

See Also:
  `com.sun.messaging.Destination`, Constant Field Values

#### IMQ_INITIAL_DESTINATION_DESCRIPTION

    public static final String IMQ_INITIAL_DESTINATION_DESCRIPTION

The default description initially given to a `Destination` object upon instantiation. Typically, either the administrator or programmer will set a meaningful description for this `Destination` object.

See Also:
  `com.sun.messaging.Destination`, Constant Field Values